com.amazonaws.services.servermigration.model

## Class GetConnectorsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.servermigration.model.GetConnectorsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetConnectorsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetConnectorsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetConnectorsResult` `clone()`
`boolean` `equals(Object obj)`
`List<Connector>` `getConnectorList()`
`String` `getNextToken()`
`int` `hashCode()`
`void` `setConnectorList(Collection<Connector> connectorList)`
`void` `setNextToken(String nextToken)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetConnectorsResult` `withConnectorList(Collection<Connector> connectorList)`
`GetConnectorsResult` `withConnectorList(Connector... connectorList)` NOTE: This method appends the values to the existing list (if any).
`GetConnectorsResult` `withNextToken(String nextToken)`

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetConnectorsResult

    public GetConnectorsResult()

### Method Detail

#### getConnectorList

    public List<Connector> getConnectorList()

Returns:

#### setConnectorList

    public void setConnectorList(Collection<Connector> connectorList)

Parameters:
  `connectorList` -

#### withConnectorList

    public GetConnectorsResult withConnectorList(Connector... connectorList)

NOTE: This method appends the values to the existing list (if any). Use `setConnectorList(java.util.Collection)` or `withConnectorList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `connectorList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withConnectorList

    public GetConnectorsResult withConnectorList(Collection<Connector> connectorList)

Parameters:
  `connectorList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

Parameters:
  `nextToken` -

#### getNextToken

    public String getNextToken()

Returns:

#### withNextToken

    public GetConnectorsResult withNextToken(String nextToken)

Parameters:
  `nextToken` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetConnectorsResult clone()

Overrides:
  `clone` in class `Object`